import { r as registerInstance, h, g as getElement } from './chunk-82a2445c.js';

class Route {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.exact = false;
    }
    componentDidLoad() {
        this.el.style.display = "none";
    }
    async getUrl() {
        return this.url;
    }
    render() {
        return (h("div", null));
    }
    get el() { return getElement(this); }
}

export { Route as ema_route };
